#
# English translation of Crystal Chips BootManager menu for BMMENUS.PBT v1.4
#

# Check the menu script version to be sure this script supports it.
IF NEQ "$BM.MENU_MAJOR_VER$" "1"
    ECHO "Unsupported menu version v$BM.MENU_MAJOR_VER$.$BM.MENU_MINOR_VER$!"
    EXIT 0
ELSEIF NEQ "$BM.MENU_MINOR_VER$" "4"
    ECHO "Unsupported menu version v$BM.MENU_MAJOR_VER$.$BM.MENU_MINOR_VER$!"
    EXIT 0
ENDIF

ECHO "Loading English text..."

# Language menu text
SET "BM.TXT_ENGLISH" "English"
SET "BM.TXT_SPANISH" "Spanish"
SET "BM.TXT_FRENCH" "French"
SET "BM.TXT_GERMAN" "German"
SET "BM.TXT_ITALIAN" "Italian"

# Miscellaneous
SET "BM.TXT_YES" "Yes"
SET "BM.TXT_NO" "No"
SET "BM.TXT_ON" "ON"
SET "BM.TXT_AUTO" "AUTO"
SET "BM.TXT_OFF" "OFF"
SET "BM.TXT_BOOT" "BOOT"
SET "BM.TXT_APP" "APP"
SET "BM.TXT_STANDARD" "STANDARD"
SET "BM.TXT_FAST" "FAST"
SET "BM.TXT_SMOOTH" "SMOOTH"
SET "BM.TXT_AUTHOR" "Author(s)"
SET "BM.TXT_VERSION" "Version"
SET "BM.TXT_DESC" "Description"
SET "BM.TXT_DELAY" "Delay(sec)"
SET "BM.TXT_CONFIRM" "Are you sure?"
SET "BM.TXT_BACK" "Back to Top"
SET "BM.TXT_HINT_BACK" "Return to the top of the menu."
SET "BM.TXT_CHOOSE_DEST" "Choose Destination"
SET "BM.TXT_MC1" "Memcard 1"
SET "BM.TXT_MC2" "Memcard 2"
SET "BM.TXT_MAIN" "Back to Main Menu"
SET "BM.TXT_BUTTON_SQR" "Square"
SET "BM.TXT_BUTTON_TRI" "Triangle"
SET "BM.TXT_CURRENT" "Current"
SET "BM.TXT_CONFIRM_CHOICE" "Confirm Choice"
SET "BM.TXT_HINT_CANCEL_CHOICE" "Cancel and return to previous menu."
SET "BM.TXT_HINT_CONFIRM_CHOICE" "Confirm choice."

#Media
SET "BM.TXT_PS1" "PS1"
SET "BM.TXT_PS2" "PS2"
SET "BM.TXT_DVDV" "DVD Video"
SET "BM.TXT_CDDA" "CD Audio"
SET "BM.TXT_OTHER" "Other"
SET "BM.TXT_NODISC" "No Disc"

SET "BM.TXT_LANGUAGE" "Language"
SET "BM.TXT_HINT_BM_LANG" "Set the language used by BootManager."

# Main Menu
SET "BM.TXT_MAIN_MENU" "Main Menu"

# Install BootManager
SET "BM.TXT_INST_BM" "Install BootManager"
SET "BM.TXT_HINT_INST_BM" "Install BootManager."
SET "BM.TXT_INSTALL_BM_TO" "Install BootManager to..."

# Firmware Manager
SET "BM.TXT_UPG_FIRMWARE" "Upgrade Firmware"
SET "BM.TXT_HINT_UPG_FIRMWARE" "Upgrade your CC firmware from this disc."

SET "BM.TXT_FW_MANAGER" "Firmware Manager"
SET "BM.TXT_HINT_FW_MANAGER" "Firmware Manager lets you upgrade and erase your Crystal Chip firmware."
SET "BM.TXT_UPG_FW" "Upgrade Firmware"
SET "BM.TXT_HINT_UPG_FW" "Upgrade your CrystalChip firmware from CCI file."
SET "BM.TXT_ERASE_FW" "Erase Firmware"
SET "BM.TXT_HINT_ERASE_FW" "Completely erase the contents of your CrystalChip flash/EEPROM."
SET "BM.TXT_ASK_ERASE_FW" "Are you sure you want to erase your firmware?"

# Reload Menu
SET "BM.TXT_RELOAD_MENU" "Reload Menu"
SET "BM.TXT_HINT_RELOAD_MENU" "Reload the BMMENUS.PBT file."

# Boot Menu
SET "BM.TXT_BOOT_MEDIA" "Boot Media"
SET "BM.TXT_HINT_BOOT_MENU" "Boot games and applications from disc."

# Application Browser
SET "BM.TXT_APP_BROWSER" "Application Browser"
SET "BM.TXT_HINT_APP_BROWSER" "Run homebrew applications from Memory Card, CD/DVD, USB, HDD, etc."
SET "BM.TXT_APP" "Application(s)"
SET "BM.TXT_APPS" "Applications"
SET "BM.TXT_DEV" "Device(s)"
SET "BM.TXT_DEVS" "Devices"
SET "BM.TXT_THM" "Theme(s)"
SET "BM.TXT_THMS" "Themes"
SET "BM.TXT_MENU_INSTALL" "Install"
SET "BM.TXT_INSTALL" "Install"
SET "BM.TXT_MENU_REMOVE" "Remove"
SET "BM.TXT_REMOVE" "Remove"
SET "BM.TXT_MENU_RUN" "Run"

# Run Application Browser
SET "BM.TXT_HINT_RUN_APP" "Run an application from a device."
SET "BM.TXT_RUN_APP_FROM" "Run Application from"
SET "BM.TXT_RUN" "Executable on"

# Install Application Browser
SET "BM.TXT_HINT_INSTALL_APP" "Install an application from one device to another."
SET "BM.TXT_INSTALL_APP_FROM" "Install Application(s) from"
SET "BM.TXT_INSTALL_APP_TO" "Install Application to"

# Remove Application Browser
SET "BM.TXT_HINT_REMOVE_APP" "Remove an application from a device."
SET "BM.TXT_REMOVE_APP_FROM" "Remove Application(s) from"

# Dev Manager
SET "BM.TXT_DEV_MANAGER" "Device Manager"
SET "BM.TXT_HINT_DEV_MANAGER" "Install and remove device drivers."

# Install Device
SET "BM.TXT_HINT_INSTALL_DEV" "Install the drivers for devices."
SET "BM.TXT_INSTALL_DEV_FROM" "Install Device(s) from"
SET "BM.TXT_INSTALL_DEV_TO" "Install Device to"

# Remove Device
SET "BM.TXT_HINT_REMOVE_DEV" "Remove the drivers for devices."
SET "BM.TXT_DEV_AVAILABLE" "Installed Device Drivers"

# Memory Card Manager
SET "BM.TXT_MC_MANAGER" "Memory Card Manager"
SET "BM.TXT_HINT_MC_MANAGER" "Format Memory Cards, Remove BootManager, etc."

# System Information
SET "BM.TXT_SYS_INFO" "System Information"
SET "BM.TXT_HINT_SYS_INFO" "View information about your system hardware."

# Configuration Menu
SET "BM.TXT_CONFIGURATION" "Configuration"
SET "BM.TXT_HINT_CONFIGURATION" "Change BootManager and CrystalChip settings."
SET "BM.TXT_INTERF_CONFIG" "Interface Configuration"
SET "BM.TXT_SOFTWARE_CONFIG" "Software Configuration"

# BootManager Configuration
SET "BM.TXT_BM_CONFIG" "BootManager Configuration"
SET "BM.TXT_HINT_BM_CONFIG" "Change settings for BootManager."

SET "BM.TXT_BM_VIDEO_MODE" "BM Video Mode"
SET "BM.TXT_HINT_BM_VIDEO_MODE" "!! WARNING !! This will change the video mode bootmanager uses!"

SET "BM.TXT_BM_SCREEN_POS" "BM Screen Position"
SET "BM.TXT_HINT_BM_SCREEN_POS" "Adjust the BootManager screen position."

SET "BM.TXT_HINT_SCROLLBAR" "Hint Scrollbar"
SET "BM.TXT_HINT_HINT_SCROLLBAR" "Turn on and off the Hint Scrollbar at the bottom of the screen."

SET "BM.TXT_SCROLLBAR_SPEED" "Hint Scrollbar Speed"
SET "BM.TXT_HINT_SCROLLBAR_SPEED" "Set the speed of the Hint Scrollbar."

# Network Configuration Menu
SET "BM.TXT_NET_CONFIG" "Network Configuration"
SET "BM.TXT_HINT_NET_CONFIG" "Change your PS2 Network Settings."

SET "BM.TXT_START_NET" "Start Network"
SET "BM.TXT_HINT_START_NET" "Start the PS2 Network."
SET "BM.TXT_START_HOST" "Start PC Host Server"
SET "BM.TXT_HINT_START_HOST" "Start the PS2 PC Host server."
SET "BM.TXT_START_FTP" "Start FTP Server"
SET "BM.TXT_HINT_START_FTP" "Start the PS2 FTP server."

SET "BM.TXT_AUTOSTART_NET" "Auto Start Network"
SET "BM.TXT_HINT_AUTOSTART_NET" "Automatically start the network when BM starts."
SET "BM.TXT_AUTOSTART_HOST" "Auto Start PC Host Server"
SET "BM.TXT_HINT_AUTOSTART_HOST" "Automatically start the PC Host server when BM starts."
SET "BM.TXT_AUTOSTART_FTP" "Auto Start FTP Server"
SET "BM.TXT_HINT_AUTOSTART_FTP" "Automatically start the FTP server when BM starts."

SET "BM.TXT_PS2_IP" "PS2 IP"
SET "BM.TXT_HINT_PS2_IP" "This is the IP address of the PS2."
SET "BM.TXT_SUBNET_MASK" "Subnet Mask"
SET "BM.TXT_HINT_SUBNET_MASK" "This is the Subnet Mask of the network, typically 255.255.255.0."
SET "BM.TXT_DEF_GATEWAY" "Default Gateway"
SET "BM.TXT_HINT_DEF_GATEWAY" "This is the IP address of the network Default Gateway."

SET "BM.TXT_PRIMARY_DNS" "Primary DNS Server"
SET "BM.TXT_HINT_PRIMARY_DNS" "This is the IP address of the Primary DNS server."
SET "BM.TXT_SECONDARY_DNS" "Secondary DNS Server"
SET "BM.TXT_HINT_SECONDARY_DNS" "This is the IP address of the Secondary DNS server."

# HDD Configuration Menu
SET "BM.TXT_HDD_CONFIG" "HDD Configuration"
SET "BM.TXT_HINT_HDD_CONFIG" "Change your PS2 HDD Settings."

SET "BM.TXT_START_HDD" "Start HDD"
SET "BM.TXT_HINT_START_HDD" "Load HDD drivers and mount HDD."

SET "BM.TXT_AUTOSTART_HDD" "Auto-start HDD"
SET "BM.TXT_HINT_AUTOSTART_HDD" "Automaticaly load HDD drivers and mount HDD on BM startup."

# Autoload Configuration
SET "BM.TXT_AUTOLOAD_CONFIG" "Autoload Configuration"
SET "BM.TXT_HINT_AUTOLOAD_CONFIG" "Setup Autoloading of various types of software."

SET "BM.TXT_AUTOLOAD" "Autoload"
SET "BM.TXT_HINT_AUTOLOAD" "Turn on and off Autoloading."

SET "BM.TXT_ACTION" "Action"

SET "BM.TXT_AUTOLOAD_PS1" "Autoload PS1"
SET "BM.TXT_HINT_AL_ACT_PS1" "This is the action which will be taken when a PS1 disc is loaded."
SET "BM.TXT_AL_PS1_APP_FROM" "Choose PS1 Autoload App from"
SET "BM.TXT_AL_PS1" "Available for PS1 Autoload on"

SET "BM.TXT_AUTOLOAD_PS2" "Autoload PS2"
SET "BM.TXT_HINT_AL_ACT_PS2" "This is the action which will be taken when a PS2 disc is loaded."
SET "BM.TXT_AL_PS2_APP_FROM" "Choose PS2 Autoload App from"
SET "BM.TXT_AL_PS2" "Available for PS2 Autoload on"

SET "BM.TXT_AUTOLOAD_DVDV" "Autoload DVD Video"
SET "BM.TXT_HINT_AL_ACT_DVDV" "This is the action which will be taken when a DVD Video disc is loaded."
SET "BM.TXT_AL_DVDV_APP_FROM" "Choose DVD Video Autoload App from"
SET "BM.TXT_AL_DVDV" "Available for DVD Video Autoload on"

SET "BM.TXT_AUTOLOAD_CDDA" "Autoload CD Audio"
SET "BM.TXT_HINT_AL_ACT_CDDA" "This is the action which will be taken when a CD Audio disc is loaded."
SET "BM.TXT_AL_CDDA_APP_FROM" "Choose CD Audio Autoload App from"
SET "BM.TXT_AL_CDDA" "Available for CD Audio Autoload on"

SET "BM.TXT_AUTOLOAD_OTHER" "Autoload Other"
SET "BM.TXT_HINT_AL_ACT_OTHER" "This is the action which will be taken when an 'other' type of disc is loaded."
SET "BM.TXT_AL_OTHER_APP_FROM" "Choose Other Disc Autoload App from"
SET "BM.TXT_AL_OTHER" "Available for Other Disc Autoload on"

SET "BM.TXT_AUTOLOAD_NODISC" "Autoload No Disc"
SET "BM.TXT_HINT_AL_ACT_NODISC" "This is the action which will be taken when no disc is inserted."
SET "BM.TXT_AL_NODISC_APP_FROM" "Choose No Disc Autoload App from"
SET "BM.TXT_AL_NODISC" "Available for No Disc Autoload on"

SET "BM.TXT_SET_AL_APP" "Set Autoload Application"
SET "BM.TXT_HINT_SET_AL_APP" "Choose the application that will be executed on Autoload of this disc."

SET "BM.TXT_AL_DELAY" "Autoload Delay(sec)"
SET "BM.TXT_HINT_AL_DELAY" "Set the idle delay, in seconds, before BM will Autoload."

# PS1 Configuration Menu
SET "BM.TXT_PS1_CONFIG" "PS1 Configuration"
SET "BM.TXT_HINT_PS1_CONFIG" "Change the settings for PS1 games and software."

SET "BM.TXT_DISC_SPEED" "Disc Speed"
SET "BM.TXT_HINT_DISC_SPEED" "This option allows you to speed up disc access for PS1 software. Please note that this option may not be compatible with all PS1 software."

SET "BM.TXT_TEX_MAPPING" "Texture Mapping"
SET "BM.TXT_HINT_TEX_MAPPING" "This option allows you to smooth out the textures in PS1 software. Please note that this option may not be compatible with all PS1 software."

# Common for PS1 and PS2
SET "BM.TXT_NTSC_SW_VID_FIXES" "NTSC Software Video Fixes"
SET "BM.TXT_HINT_NTSC_SW_VID_FIXES" "Turn NTSC software video fixes on or off."

SET "BM.TXT_PAL_SW_VID_FIXES" "PAL Software Video Fixes"
SET "BM.TXT_HINT_PAL_SW_VID_FIXES" "Turn PAL software video fixes on or off."

SET "BM.TXT_FORCE_VSYNC" "Force Vertical Sync"
SET "BM.TXT_HINT_FORCE_VSYNC" "Force the vertical sync for your software."

SET "BM.TXT_FORCE_COLOR" "Force Color"
SET "BM.TXT_HINT_FORCE_COLOR" "Force the color for your software."

SET "BM.TXT_SCREEN_MODS" "Screen Position Modifiers"
SET "BM.TXT_HINT_SCREEN_MODS" "This setting allows you to turn on or off screen position modification."

SET "BM.TXT_SCREEN_MOD" "Screen X/Y Modifier"
SET "BM.TXT_HINT_SCREEN_MOD" "This modifier is used to offset the X(horizontal) and Y(vertical) video position of software."

# PS2 Configuration Menu
SET "BM.TXT_PS2_CONFIG" "PS2 Configuration"
SET "BM.TXT_HINT_PS2_CONFIG" "Change the settings for PS2 games and software."

SET "BM.TXT_MEGAMEM_PATCHER" "MegaMemory Patcher"
SET "BM.TXT_HINT_MEGAMEM_PATCHER" "Turn on/off patcher for enabling older MegaMemory/MAX Memory cards."

SET "BM.TXT_ATAD_PATCHER" "ATAD(HDD) Patcher"
SET "BM.TXT_HINT_ATAD_PATCHER" "Turn on/off patcher for ATAD to unlock non-Sony HDD with HDD-enabled PS2 games."

SET "BM.TXT_DVDDL_PATCHER" "DVD+R Dual Layer Patcher"
SET "BM.TXT_HINT_DVDDL_PATCHER" "Turn on/off patcher for DVD+R Dual Layer discs."

# DVD Configuration Menu
SET "BM.TXT_DVD_CONFIG" "DVD Video Configuration"
SET "BM.TXT_HINT_DVD_CONFIG" "Change the settings for DVD Videos."

SET "BM.TXT_DVD_VIDEO_FIXES" "DVD Video Fixes"
SET "BM.TXT_HINT_DVD_VIDEO_FIXES" "Turn DVD Video Fixes on and off."

SET "BM.TXT_REGION_FREE" "Region Free"
SET "BM.TXT_HINT_REGION_FREE" "This feature allows you to watch import DVD videos on your PS2."

SET "BM.TXT_DVD_PLAYER_REGION" "DVD Player Region"
SET "BM.TXT_HINT_DVD_PLAYER_REGION" "This feature allows you to set the DVD player region for RCE protected films.  You normally want to leave this set to 1."

SET "BM.TXT_RGB_FIX" "RGB Fix"
SET "BM.TXT_HINT_RGB_FIX" "This feature allows you to fix the 'Green Screen' problem when watching DVD videos."

SET "BM.TXT_VIDEO_STAB" "Video Stabilizer"
SET "BM.TXT_HINT_VIDEO_STAB" "This allows you to disable Macrovision output, improving video quality in some cases."

SET "BM.TXT_HINT_FORCE_COLOR_DVD" "This feature allows you to force the color of DVD videos."

# Disc Boot Menu
SET "BM.TXT_BOOT_MENU" "Disc Boot Menu"
SET "BM.TXT_BOOT_ENHANCED" "Boot in Enhanced Mode"
SET "BM.TXT_HINT_BOOT_ENHANCED" "Boot the disc with currently selected enhancement enabled."
SET "BM.TXT_BOOT_MINIMAL" "Boot in Minimal Mode"
SET "BM.TXT_HINT_BOOT_MINIMAL" "Boot the disc with mimimal enhancements enabled."
SET "BM.TXT_BOOT_SLEEP" "Boot in Sleep Mode"
SET "BM.TXT_HINT_BOOT_SLEEP" "Boot the disc with all enhancements and Crystal Chip disabled."

# Theme Manager
SET "BM.TXT_THEME_MANAGER" "Theme Manager"
SET "BM.TXT_HINT_THEME_MANAGER" "Configure, change, install and remove your BootManager themes."
SET "BM.TXT_SELECTED_THEME" "Selected Theme"
SET "BM.TXT_MANAGE_THEME" "Manage Themes"

# Theme Configuration
SET "BM.TXT_THEMES" "Themes"
SET "BM.TXT_THEME_CONFIG" "Theme Configuration"
SET "BM.TXT_HINT_THEME_CONFIG" "Configure the BootManager menu theme."

SET "BM.TXT_XY" "X/Y Position"
SET "BM.TXT_WH" "Width/Height"

SET "BM.TXT_THEME_MENU_IMG" "Menu Image"
SET "BM.TXT_HINT_THEME_MENU_IMG_XY" "Adjust the X/Y screen position for the menu image."
SET "BM.TXT_HINT_THEME_MENU_IMG_WH" "Adjust the width/height of the menu image."

SET "BM.TXT_THEME_DISC_IMG" "Disc Image"
SET "BM.TXT_HINT_DISC_IMG_XY" "Adjust the X/Y screen position for the disc icon image."
SET "BM.TXT_HINT_DISC_IMG_WH" "Adjust the width/height of the disc icon image."

SET "BM.TXT_THEME_MENU_TEXT" "Menu"
SET "BM.TXT_HINT_THEME_MENU_XY" "Adjust the X/Y screen position for the menu."
SET "BM.TXT_HINT_THEME_MENU_WH" "Adjust the width/height of the menu."

SET "BM.TXT_THEME_MENU_TITLE" "Menu Title"
SET "BM.TXT_HINT_THEME_MENU_TITLE_XY" "Adjust the X/Y screen position for the menu title."
SET "BM.TXT_HINT_THEME_MENU_TITLE_WH" "Adjust the width/height of the menu title."

SET "BM.TXT_BM_VERSION" "BM Version Label"
SET "BM.TXT_HINT_BM_VERSION" "Adjust the X/Y screen position for the BM version text."

SET "BM.TXT_THEME_SCROLLER" "Hint Scrollbar"
SET "BM.TXT_HINT_THEME_SCROLLER_XY" "Adjust the X/Y screen position for the menu scrollbar."
SET "BM.TXT_HINT_THEME_SCROLLER_WH" "Adjust the width/height of the menu scrollbar."

SET "BM.TXT_THEME_COLOR" "Theme Colors"
SET "BM.TXT_THEME_BG_COLOR" "Background Color"
SET "BM.TXT_HINT_THEME_BG_COLOR" "Choose the background color."
SET "BM.TXT_THEME_FONT_COLOR" "Font Color"
SET "BM.TXT_HINT_THEME_FONT_COLOR" "Choose the menu font color."
SET "BM.TXT_THEME_FONT_COLOR_LABEL" "Font Title Color"
SET "BM.TXT_HINT_THEME_FONT_COLOR_LABEL" "Choose the font title and label color."
SET "BM.TXT_THEME_FONT_COLOR_SCROLLER" "Scroller Color"
SET "BM.TXT_HINT_THEME_FONT_COLOR_SCROLLER" "Choose the hint scroller color."

# Change Theme
SET "BM.TXT_THEME_CHANGE" "Change"
SET "BM.TXT_HINT_THEME_CHANGE" "Select a new theme and change the look of BootManager."
SET "BM.TXT_THM_AVAILABLE" "Available Themes"

# Install Themes
SET "BM.TXT_HINT_THEME_INSTALL" "Install a theme from one device to another."
SET "BM.TXT_INSTALL_THM_FROM" "Install Theme(s) from"
SET "BM.TXT_INSTALL_THM_TO" "Install Theme to"

# Remove Themes
SET "BM.TXT_HINT_THEME_REMOVE" "Remove a theme from a device."
SET "BM.TXT_REMOVE_THM_FROM" "Remove Theme(s) from"

# Disc Test
SET "BM.TXT_PS1_TEST_INFO" "Disc Test will now test your Crystal Chip PS1(aka SCEx) authentication."
SET "BM.TXT_START_PS1_TEST" "Start PS1 Disc Test"

SET "BM.TXT_DISC_TEST" "Disc Test"
SET "BM.TXT_HINT_DISC_TEST" "Disc Test allows you to verify your Crystal Chip installation by testing PS1(aka SCEx) authentication."

SET "BM.TXT_PS1_WORK" "PS1 disc authentication works!"
SET "BM.TXT_PS1_FAIL" "PS1 disc authentication failed!"

SET "BM.TXT_CHECK_SX" "Please check your CrystalChip SX wire."

# Misc Config
SET "BM.TXT_MISC_CONFIG" "Miscellaneous Config"
SET "BM.TXT_HINT_MISC_CONFIG" "Miscellaneous configuration options that don't fit in any other category."

SET "BM.TXT_GS_HOOK" "GS Hook"
SET "BM.TXT_HINT_GS_HOOK" "The CrystalChip GS Hook is used to perform advanced video fixes for PS2 software but may be incompatible with some games."

SET "BM.TXT_IGR" "In-Game Reset"
SET "BM.TXT_HINT_IGR" "In-Game Reset(IGR) allows you to reset your PS2 by pressing and holding L1+L2+R1+R2+Start+Select from within a PS2 game."

EXIT "0"
